org.springframework.core.env

## Class PropertiesPropertySource

- java.lang.Object
- - org.springframework.core.env.PropertySource<T>
  - - org.springframework.core.env.EnumerablePropertySource<Map<String,Object>>
    - - org.springframework.core.env.MapPropertySource
      - - org.springframework.core.env.PropertiesPropertySource

Direct Known Subclasses:
  MockPropertySource, ResourcePropertySource

    public class PropertiesPropertySource
    extends MapPropertySource

`PropertySource` implementation that extracts properties from a `Properties` object.

Note that because a `Properties` object is technically an `<Object, Object>` `Hashtable`, one may contain non-`String` keys or values. This implementation, however is restricted to accessing only `String`-based keys and values, in the same fashion as `Properties.getProperty(java.lang.String)` and `Properties.setProperty(java.lang.String, java.lang.String)`.

Since:
  3.1
Author:
  Chris Beams

### Nested Class Summary

### Nested classes/interfaces inherited from class org.springframework.core.env.PropertySource

`PropertySource.StubPropertySource`

### Field Summary

### Fields inherited from class org.springframework.core.env.EnumerablePropertySource

`EMPTY_NAMES_ARRAY, logger`

### Fields inherited from class org.springframework.core.env.PropertySource

`name, source`

### Constructor Summary

Constructors
Constructor and Description
`PropertiesPropertySource(String name, Properties source)`

### Method Summary

### Methods inherited from class org.springframework.core.env.MapPropertySource

`getProperty, getPropertyNames`

### Methods inherited from class org.springframework.core.env.EnumerablePropertySource

`containsProperty`

### Methods inherited from class org.springframework.core.env.PropertySource

`equals, getName, getSource, hashCode, named, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### PropertiesPropertySource

    public PropertiesPropertySource(String name,
                            Properties source)